package com.gh.gamecenter.minigame.qq

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.utils.updateStatusBarColor

/**
 * 小游戏-主页
 */
class QGameHomeWrapperActivity : ToolBarActivity() {

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(this, QGameHomeWrapperActivity::class.java, QGameHomeWrapperFragment::class.java)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    companion object {
        fun getIntent(context: Context): Intent {
            val intent = Intent(context, QGameHomeWrapperActivity::class.java)
            return intent
        }
    }
}